/*
  Copyright (C) 1998-1999 Johan Redestig

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "stdafx.h"
#include "SolidPainter.h"
#include "MenuItem.h"

SolidPainter::SolidPainter(COLORREF c)
{
	m_hBrush = CreateSolidBrush(c);
}

SolidPainter::~SolidPainter()
{
	DeleteObject(m_hBrush);
}

void SolidPainter::Paint(MenuItem* pMenuItem, HDC hDC)
{
	RECT r;
	Painter::Paint(pMenuItem, hDC);
	pMenuItem->GetItemRect(&r);
	FillRect(hDC, &r, m_hBrush);
}