#ifndef __FOLDER_TIMER_H
#define __FOLDER_TIMER_H

#define __OPEN_TIMER_ID__ 666
#define __CLOSE_TIMER_ID__ 667

class CFolderTimer
{
private:
  CFolderTimer();

public:
  ~CFolderTimer();
  
  static CFolderTimer* Instance();
  static void Destroy();

  void SetOpenTimer(HWND hWnd);
  void KillOpenTimer();

  void SetCloseTimer(HWND hWnd);
  HWND m_hWndLastOpen, m_hWndLastClose;

private:
  static CFolderTimer* m_pClassPointer;

  UINT m_uiOpenID, m_uiCloseID;


};


#endif
